Package com.sun.jna.platform.win32

# Class AccCtrl

java.lang.Object
com.sun.jna.platform.win32.AccCtrl

All Implemented Interfaces:
  `AltCallingConvention`, `Library`, `StdCall`, `StdCallLibrary`

public abstract class AccCtrl extends Object implements StdCallLibrary
Ported from AccCtrl.h. Microsoft Windows SDK 7.1

Author:
  amarcionek[at]gmail.com

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `AccCtrl.SE_OBJECT_TYPE`
  The SE_OBJECT_TYPE enumeration contains values that correspond to the types of Windows objects that support security.

  ## Nested classes/interfaces inherited from interface com.sun.jna.Library

  `Library.Handler`

  ## Nested classes/interfaces inherited from interface com.sun.jna.win32.StdCallLibrary

  `StdCallLibrary.StdCallCallback`

- ## Field Summary

  ### Fields inherited from interface com.sun.jna.Library

  `OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_CLASSLOADER, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_OPEN_FLAGS, OPTION_STRING_ENCODING, OPTION_STRUCTURE_ALIGNMENT, OPTION_SYMBOL_PROVIDER, OPTION_TYPE_MAPPER`

  ### Fields inherited from interface com.sun.jna.win32.StdCallLibrary

  `FUNCTION_MAPPER, STDCALL_CONVENTION`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AccCtrl()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AccCtrl

    public AccCtrl()